## reimage-diffusers 0.1.6.20250117T140213.41732e9-1bullseye

=== Makefile ===
.PHONY: all pkg_local pkg_push container container_push

all:
	/bin/true

pkg_local:
	mv ./mldata_cache /tmp
	VERBOSE=1 FORCE=1 UPLOAD=local docker-compose -f ../pkgtools/docker-compose.build.yml run build
	mv /tmp/mldata_cache .

pkg_push:
	mv ./mldata_cache /tmp
	VERBOSE=1 FORCE=1 UPLOAD=scp docker-compose -f ../pkgtools/docker-compose.build.yml run build
	mv /tmp/mldata_cache .

container:
	docker build --tag diffusers:latest . < ./Dockerfile

container_force:
	docker build --no-cache --tag diffusers:latest . < ./Dockerfile

container_release_beta:
	docker tag diffusers:latest reimage/diffusers:beta && docker push reimage/diffusers:beta 

container_release_datacenter:
	docker tag reimage/diffusers:beta reimage/diffusers:datacenter && docker push reimage/diffusers:datacenter

container_release_cloud:
	docker tag reimage/diffusers:beta reimage/diffusers:cloud && docker push reimage/diffusers:cloud

cache_clean:
	sudo rm -rf ./mldata_cache
	mkdir -p ./mldata_cache
	chmod -R 777 ./mldata_cache

cache_update:
	sudo docker run --gpus all --ipc=host --ulimit memlock=-1 --ulimit stack=67108864 -it --rm -e "HOME=/tmp" --gpus '"device=0"' -v $(PWD)/mldata_cache:/mldata -v $(PWD)/src:/workspace -h diffusers diffusers:latest "python3 /workspace/service.py --download --quit-after-download"
	sudo chmod -R 777 ./mldata_cache
	sudo find ./mldata_cache -exec touch -m -d '1/1/2000' {} \;

cache: cache_clean cache_update

=== debian/changelog ===
reimage-diffusers (0.1.6.20250117T140213.41732e9-1bullseye) bullseye; urgency=medium

  * auto build

 -- DebUploader <debuploader@reimage.ai>  Fri, 17 Jan 2025 14:02:13 -0800

reimage-diffusers (0.1.0) stable; urgency=low

  * Initial release

 -- Dirk Morris <dmorris@reimage.ai>  Mon, 08 Aug 2022 02:22:17 -0800

=== debian/control ===
Source: reimage-diffusers
Section: admin
Priority: optional
Maintainer: Dirk Morris <dmorris@reimage.ai>
Uploaders: BuildBot <buildbot@reimage.ai>
Build-Depends: systemd, debhelper (>= 10)
Standards-Version: 3.9.8

Package: reimage-diffusers
Architecture: all
Depends: ${misc:Depends},
        systemd,
	docker,
	docker.io,
	nvidia-driver,
	nvidia-docker2,
	cuda-drivers,
	psmisc,
Description: ReImage diffusers service/worker
 Provides worker script(s) to provide diffusers services

## reimage-diffusers 0.1.6.20260114T064218.9712cfe-1bookworm

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 
 pkg_local:
 	mv ./mldata_cache /tmp
-	VERBOSE=1 FORCE=1 UPLOAD=local docker-compose -f ../pkgtools/docker-compose.build.yml run build
+	VERBOSE=1 FORCE=1 UPLOAD=local docker compose -f ../pkgtools/docker-compose.build.yml run build
 	mv /tmp/mldata_cache .
 
 pkg_push:
 	mv ./mldata_cache /tmp
-	VERBOSE=1 FORCE=1 UPLOAD=scp docker-compose -f ../pkgtools/docker-compose.build.yml run build
+	VERBOSE=1 FORCE=1 UPLOAD=scp docker compose -f ../pkgtools/docker-compose.build.yml run build
 	mv /tmp/mldata_cache .
 
 container:

=== debian/changelog ===
reimage-diffusers (0.1.6.20260114T064218.9712cfe-1bookworm) bookworm; urgency=medium

  * auto build

 -- DebUploader <debuploader@reimage.ai>  Wed, 14 Jan 2026 06:42:18 -0800

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
         systemd,
 	docker,
 	docker.io,
-	nvidia-driver,
+	nvidia-open,
 	nvidia-docker2,
-	cuda-drivers,
+	nvidia-driver-cuda,
 	psmisc,
 Description: ReImage diffusers service/worker
  Provides worker script(s) to provide diffusers services

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DESTDIR := $(CURDIR)/debian/$(shell dh_listpackages)

%:
	dh $@ 

override_dh_gencontrol:
	if [ -f debian/version ] ; then dh_gencontrol -- -v"`cat debian/version`" ; else dh_gencontrol ; fi

override_dh_install:
	if [ -f Makefile ] || [ ! -d files ]; then \
	  dh_install --exclude=debian --exclude=__pycache__ --exclude=.gitignore; \
	else \
	  mkdir -p $(DESTDIR) ; \
	  cp -ra files/* $(DESTDIR) ; \
	fi
